STRINGS(1)

NOME
strings - stampa le stringhe dei caratteri stampabili nei file.

SINTASSI
strings [-afov] [-min-len]
        [-n min-len] [--bytes=min-len]
        [-t radix] [--radix=radix]
        [-e encoding] [--encoding=encoding]
        [-] [--all] [--print-file-name]
        [--target=bfdname]
        [--help] [--version] file...

DESCRIZIONE
Per ciascun file dato, GNU strings stampa la sequenza di caratteri stampabili lunga almeno 4 caratteri (o il numero dato con le opzioni sottostanti) ed è seguita da un carattere non stampabile. Per default esso stampa solo le stringhe dalle sezioni di file oggetto inizializzate e caricate; per altri tipi di file, esso stampa le stringhe dell'intero file.

strings è utile principalmente per determinare i contenuti dei file non di testo.

OPZIONI

-a
--all
-   Non fa lo scan solo delle sezioni di file oggetto non inizializzate e caricate; fa lo scan di tutti i file.

-f
--print-file-name
    Stampa il nome del file prima di ciascuna stringa.

--help
    Stampa un sommario dell'uo del programma sullo standard output ed esce.

-min-len
-n min-len
--bytes=min-len
    Stampa sequenze di caratteri che siano almeno min-len caratteri lunghe, invece del default 4.

-o  Come -t o. Alcune altre versioni di strings hanno -o che agisce invece come -t d. Poiché non si può essere compatibili con entrambe le modalità, semplicemente ne scegliamo una.

-t radix
--radix=radix
    Stampa l'offset dentro il file prima di ciascuna stringa. Il singolo carattere argomento specifica la base dell'offset---o per ottale, x per esadecimale, o d per decimale.

-e encoding
--encoding=encoding
    Seleziona la codifica caratteri delle stringhe da trovare. I valore possibili per encoding sono: caratteri s = single-7-bit-byte (ASCII, ISO 8859, ecc., default), caratteri S = single-8-bit-byte, littleendian b = 16-bit bigendian, l = 16-bit, bigendian B = 32-bit, littleendian L = 32-bit. Utile per trovare grandi stringhe carattere.

--target=bfdname
    Specifica un formato di codice oggetto diverso dal proprio formato di default di sistema.

-v
--version
    Stampa il numero di versione programma sullo standard output ed esce.

VEDERE ANCHE
ar(1), nm(1), objdump(1), ranlib(1), readelf(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled ``GNU Free Documentation License''.